%def_enable shared
%def_disable static
%define debug no
%def_with pic
%def_disable rpath
%def_enable warnings
%def_disable profile
%def_enable dependency_tracking
%def_disable pch
%def_enable new_ldflags
%def_disable final
%def_disable closure
%def_disable nmcheck
%def_disable embedded
%def_disable qtopia
%def_disable mac
%def_enable mt
%def_enable threading
%def_with arts
#----------------------------------------------------------------------
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}

%define Name digiKam
%define bname digikam
%define oname %{bname}imageplugins
Name: %bname-image-plugins
Version: 0.9.1
Release: alt1
Group: Graphics
Summary: %Name image plugins
License: GPL
URL: http://www.digikam.org/
Source: %oname-%version.tar.bz2
Provides: %oname-%version-%release
Conflicts: %bname < 0.8.2-alt0.1

# Automatically added by buildreq on Wed Mar 07 2007
#BuildRequires: digikam-devel doxygen gcc-c++ graphviz imake kde-i18n-uk kdepim-devel libdnet-devel libjpeg-devel libqscintilla-designer libXext-devel libXrender-devel libXt-devel linux-libc-headers packages-info-i18n-common qt3-designer qt3-doc-html qtcl xml-utils xorg-cf-files

BuildRequires: digikam-devel = 0.9.1
BuildRequires: gcc-c++ kdelibs-devel xorg-cf-files libdnet-devel
BuildRequires: libjpeg-devel libXext-devel libXrender-devel libXt-devel

%description
digiKam plugins for additional functionalities in ImageEditor and
Showfoto.


%prep
%setup -q -n %oname-%version


%build
%undefine __libtoolize
%configure \
    %{subst_enable shared} \
    %{subst_enable static} \
    %{?debug:--enable-debug=%debug} \
    %{subst_with pic} \
    %{subst_enable rpath} \
    %{subst_enable warnings} \
    %{subst_enable profile} \
    %{subst_enable_to dependency_tracking dependency-tracking} \
    %{subst_enable pch} \
    %{subst_enable_to new_ldflags new-ldflags} \
    %{subst_enable final} \
    %{subst_enable closure} \
    %{subst_enable nmcheck} \
    %{subst_enable embedded} \
    %{subst_enable qtopia} \
    %{subst_enable mac} \
    %{subst_enable mt} \
    %{subst_enable threading} \
    %{subst_enable gcc-hidden-visibility} \
    %{subst_with arts}

%make_build


%install
%make_install DESTDIR=%buildroot install

%find_lang --with-kde --output=%name.lang %oname
for P in %buildroot%_libdir/kde3/%{bname}imageplugin_*.so; do
    %find_lang --append --with-kde --output=%name.lang `basename $P .so`
done

bzip --best --force --keep ChangeLog


%files -f %name.lang
%doc AUTHORS ChangeLog.* README TODO
%_libdir/kde3/*
%_datadir/apps/%bname/*.rc
%_datadir/apps/%bname/icons/hicolor/*/actions/*
%dir %_datadir/apps/%oname
%_datadir/apps/%oname/tips
%dir %_datadir/apps/%oname/data
%dir %_datadir/apps/%oname/data/*
%_niconsdir/*
%_iconsdir/hicolor/*/actions/*
%_datadir/services/*


%changelog
* Wed Mar 07 2007 Led <led@altlinux.ru> 0.9.1-alt1
- 0.9.1
- cleaned up BuildRequires

* Wed Dec 20 2006 Led <led@altlinux.ru> 0.9.0-alt1
- fixed %%files

* Mon Dec 18 2006 Led <led@altlinux.ru> 0.9.0-alt0.1
- 0.9.0
- cleaned up spec
- fixed %%files

* Thu Nov 23 2006 Led <led@altlinux.ru> 0.8.2-alt0.1
- initial separate build
